﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace GroupByRecordRemoveNumberOfRecordsFromDescription
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void xamDataGrid1_Grouped(object sender, Infragistics.Windows.DataPresenter.Events.GroupedEventArgs e)
        {
            for (int i = 0; i < this.xamDataGrid1.Records.Count; i++)
            {
                changeDescription(this.xamDataGrid1.Records[i]);
            }
        }

        public void changeDescription(Record record) 
        {
            if (record is GroupByRecord)
            {
                int endIndex = record.Description.IndexOf(" ");
                if (endIndex >= 0)record.Description = record.Description.Substring(0, endIndex);
                GroupByRecord gr = record as GroupByRecord;
                if (gr.HasChildren) 
                {
                    for (int i = 0; i < gr.ChildRecords.Count; i++) 
                    {
                        changeDescription(gr.ChildRecords[i]);
                    }
                }                
            }
            else return;                   
        }
    }
}
